%SIMMW    Results for the benchmark model.
%         

% Ellen McGrattan, 10-27-16
% Revised, ERM, 8-3-18


clear

disp('Which case: ')
disp(' 1. Pre-Brexit steady state with trade costs on goods only')
disp(' 2. UK raises costs on FDI from EU, sig=1==>.95')
disp(' 3. EU raises costs on FDI from UK, sig=1==>.95')
disp(' 4. UK,EU raise costs on FDI from each other, sig=1==>.95')
disp(' ')
disp(' 5. UK raises costs on trade from EU, ice=0==>.05')
disp(' 6. EU raises costs on trade from UK, ice=0==>.05')
disp(' 7. UK,EU raise costs on trade from each other, ice=0==>.05')
disp(' ')
disp(' 8. UK raises costs on FDI, trade from EU (sig & ice)')
disp(' 9. EU raises costs on FDI, trade from UK (sig & ice)')
disp('10. UK,EU raise costs on FDI, trade from each other (sig & ice)')
disp(' ')
disp('11. Same as 10, but UK also lowers FDI costs from US')
disp('12. Same as 10, but UK also lowers trade costs from US')
disp('13. Same as 10, but UK also lowers FDI, trade costs from US')
disp('14. Same as 10, but UK also lowers FDI, trade costs from all')
icase = input('? ');
disp(' ')

load mw1x.dat
load mw1p.dat
I    = mw1p(1);
T    = mw1p(2);
beta = mw1p(5);
gamN = mw1p(9);
[res0,V0,PVU0] = mwtran(mw1x,mw1p);


if (icase==1);
  load mw1x.dat; 
  load mw1p.dat
  [res,V,PVU]  = mwtran(mw1x,mw1p);
end;
if (icase==2);
  load mw2x.dat; 
  load mw2p.dat
  [res,V,PVU]  = mwtran(mw2x,mw2p);
end;
if (icase==3);
  load mw3x.dat; 
  load mw3p.dat
  [res,V,PVU]  = mwtran(mw3x,mw3p);
end;
if (icase==4);
  load mw4x.dat; 
  load mw4p.dat
  [res,V,PVU]  = mwtran(mw4x,mw4p);
end;
if (icase==5);
  load mw5x.dat; 
  load mw5p.dat
  [res,V,PVU]  = mwtran(mw5x,mw5p);
end;
if (icase==6);
  load mw6x.dat; 
  load mw6p.dat
  [res,V,PVU]  = mwtran(mw6x,mw6p);
end;
if (icase==7);
  load mw7x.dat; 
  load mw7p.dat
  [res,V,PVU]  = mwtran(mw7x,mw7p);
end;
if (icase==8);
  load mw8x.dat; 
  load mw8p.dat
  [res,V,PVU]  = mwtran(mw8x,mw8p);
end;
if (icase==9);
  load mw9x.dat; 
  load mw9p.dat
  [res,V,PVU]  = mwtran(mw9x,mw9p);
end;
if (icase==10);
  load mw10x.dat; 
  load mw10p.dat
  [res,V,PVU]  = mwtran(mw10x,mw10p);
end;
if (icase==11);
  load mw11x.dat; 
  load mw11p.dat
  [res,V,PVU]  = mwtran(mw11x,mw11p);
end;
if (icase==12);
  load mw12x.dat; 
  load mw12p.dat
  [res,V,PVU]  = mwtran(mw12x,mw12p);
end;
if (icase==13);
  load mw13x.dat; 
  load mw13p.dat
  [res,V,PVU]  = mwtran(mw13x,mw13p);
end;
if (icase==14);
  load mw14x.dat; 
  load mw14p.dat
  [res,V,PVU]  = mwtran(mw14x,mw14p);
end;

%
% Deflate nominal values
%

[nr,nc] = size(V);
Vhld=V;
V0hld=V0;
V       = V(:,1:nc-1)./(V(:,nc)*ones(1,nc-1));
V0      = V0(:,1:nc-1)./(V0(:,nc)*ones(1,nc-1));

tab1    = zeros(I,13);
tab1(:) = mean(V(1:10,1:I*13)./V0(1:10,1:I*13)-1)*100;

tab2    = zeros(I,13);
tab2(:) = (V(T,1:I*13)./V0(T,1:I*13)-1)*100;


clc
disp(' ')
disp(' ')
disp(['Avg % Change in Initial 10 years Relative to No Brexit, Case=',int2str(icase)])
disp('=========================================================================================')
disp('           FDI flows  Trade flows            NIPA Expenditures                 Labor Mkt ')      
disp('-----------------------------------------------------------------------------------------')
disp('  Country  Out   In |  Out   In   | Ybus    C  XTbus  XIbus  xM   GDP   GNP  | L/P    W  ')
disp('-----------------------------------------------------------------------------------------')
for i=1:I;
  disp(sprintf('  %7.0f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f',[i,tab1(i,:)]))
end;
disp('=========================================================================================')
disp(' ')
disp(' ')
disp(['Avg % Change in final BGP Relative to No Brexit, Case=',int2str(icase)])
disp('=========================================================================================')
disp('           FDI flows  Trade flows            NIPA Expenditures                 Labor Mkt ')      
disp('-----------------------------------------------------------------------------------------')
disp('  Country  Out   In |  Out   In   | Ybus    C  XTbus  XIbus  xM   GDP   GNP  | L/P    W  ')
disp('-----------------------------------------------------------------------------------------')
for i=1:I;
  disp(sprintf('  %7.0f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f%6.1f',[i,tab2(i,:)]))
end;
disp('=========================================================================================')

betn = beta*(1+gamN);
gain = (exp( (1-betn)*(PVU-PVU0))-1)*100;


disp(' ')
disp(' ')
disp(['% Welfare Gains for Case ',int2str(icase)])
disp('==========================')
disp('  Country       Gain     ')
disp('--------------------------')
for i=1:I;
  disp(sprintf('  %7.0f  %7.2f',[i,gain(i)]))
end;
disp('==========================')

